﻿// <------- xoftc.com --------->
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace FRMBuild
{
    public class cls_FrmLoader
    {
        public cls_FormData[] nForm = new cls_FormData[5]; // array of forms data related to module

        public void BuildData()
        {
            FormDataFileLoader();
        }

        private void FormDataFileLoader() // demo form data file load...
        {
            for (int i = 0; i <= 4; i++)
            {
                nForm[i] = new cls_FormData();
                nForm[i].loadf();
            }

            // <--- test..
            nForm[0].sFrmName = "Form no 1";
            nForm[1].sFrmName = "Form no 2";
            nForm[2].sFrmName = "Form no 3";
            nForm[3].sFrmName = "Form no 4";
            nForm[4].sFrmName = "Form no 5";
            for (int i = 0; i <= 4; i++)
            {
                nForm[i].iFrmSizeX = 300;
                nForm[i].iFrmSizeY = 220;
            }
            // controll data ->
            nForm[3].nObject[0].sOColorBack = "red";
            nForm[3].nObject[1].sOColorBack = "red";
            nForm[3].nObject[2].sOColorBack = "blue";
            nForm[3].nObject[3].sOColorBack = "blue";
            nForm[3].nObject[4].sOColorBack = "green";
            nForm[3].nObject[5].sOColorBack = "green";
            // --->
        }

        public class cls_FormData : cls_ObjectData // represents a form with a collection of control properties
        {
            public cls_ObjectData[] nObject = new cls_ObjectData[6];
            public int iFrmSizeX = 0;
            public int iFrmSizeY = 0;
            public string sFrmName = null;

            public void loadf() // demo data
            {
                for (int u = 0; u <= 5; u++)
                {
                    nObject[u] = new cls_ObjectData();
                    nObject[u].sOColorBack = "blue";
                    nObject[u].sOFontFamily = "Calibry";
                    nObject[u].iOPosX = 20;
                    nObject[u].iOPosY = 20;
                    nObject[u].iOSizeX = 100;
                    nObject[u].iOSizeY = 30;
                    nObject[u].sOColorFront = "white";
                    nObject[u].sOText = "object " + u.ToString();
                    nObject[u].sOName = "Object no " + u.ToString();
                    nObject[u].iOFontSize = 11;
                }
            }
        }

        public class cls_ObjectData // represents properties of an object. label, textbox, button...
        {
            public string sOName = null;
            public int iOSizeX = 0;
            public int iOSizeY = 0;
            public string sOColorFront = null;
            public string sOColorBack = null;
            public string sOText = null;
            public int iOPosX = 0;
            public int iOPosY = 0;
            public int iOFontSize = 0;
            public string sOFontFamily = null;
        }
    }
}
